Redmine - Defect #795

html svn log not escaped
2008-03-06 11:51 - Luca Pireddu

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done:
Category: ul Estimated time:
Target version:

Resolution: Fixed Affected version:
Description

When HTML is included in the text of an svn log entry the tag is not escaped before being displayed. For example, with the log entry

"now in-place edit works for other <input> types as well." The redmine page contains an input text field instead of "<input>"

The bug manifests itself at least on the pages:

® /repositories/show/ (Latest revisions section)
* /repositories/revision/
* /repositories/revisions/
¢ /repositories/changes/

Associated revisions

Revision 1216 - 2008-03-09 12:47 - Jean-Philippe Lang

Textile formatting:

e escape html tags, except pre tags (#807, #795)
¢ try to avoid unwanted quick phrase modifiers

History

#1 - 2008-03-09 14:10 - Jean-Philippe Lang
- Category set to Ul
- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r1216 (only pre tags are not escaped since they're used to enter preformatted text).
https://www.redmine.org/projects/redmine/repository/svn/revisions/1216
http://www.tcpdf.org

